import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const guildGetFreeBars = createAsyncThunk(
  "GUILD_GET_FREE_BARS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("steward_free_bar/", {
      params: { date: d.date },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
